<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: RCTBluetoothSerial/BLE.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Portofhttps://github.com/don/BluetoothSerialforreactnative</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_ee99dfc0624c8ce63b2777540ae36555.html">RCTBluetoothSerial</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">BLE.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> Copyright (c) 2013 RedBearLab</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#if TARGET_OS_IPHONE</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">    #import &lt;CoreBluetooth/CoreBluetooth.h&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">    #import &lt;IOBluetooth/IOBluetooth.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#import &quot;CBPeripheral+BTSExtensions.h&quot;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="../../de/d74/protocolBLEDelegate-p.html">   23</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="../../de/d74/protocolBLEDelegate-p.html">BLEDelegate</a></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">@optional</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;-(void) bleDidConnect;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;-(void) bleDidDisconnect;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;-(void) bleDidUpdateRSSI:(NSNumber *) rssi;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;-(void) bleDidReceiveData:(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> *) data length:(<span class="keywordtype">int</span>) length;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;-(void) bleDidChangedState:(<span class="keywordtype">bool</span>) isEnabled;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">@required</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="../../db/df9/interfaceBLE.html">   34</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="../../db/df9/interfaceBLE.html">BLE</a> : NSObject &lt;CBCentralManagerDelegate, CBPeripheralDelegate&gt; {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;}</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">@property</span> (nonatomic,assign) id &lt;BLEDelegate&gt; delegate;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">@property</span> (strong, nonatomic) NSMutableArray *peripherals;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">@property</span> (strong, nonatomic) CBCentralManager *CM;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">@property</span> (strong, nonatomic) CBPeripheral *activePeripheral;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;-(void) enableReadNotification:(CBPeripheral *)p;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;-(void) read;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;-(void) writeValue:(CBUUID *)serviceUUID characteristicUUID:(CBUUID *)characteristicUUID p:(CBPeripheral *)p data:(NSData *)data;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;-(BOOL) isConnected;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;-(void) write:(NSData *)d;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;-(void) readRSSI;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;-(void) controlSetup;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;-(int) findBLEPeripherals:(<span class="keywordtype">int</span>) timeout;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;-(void) connectPeripheral:(CBPeripheral *)peripheral;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;-(UInt16) swap:(UInt16) s;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;-(const <span class="keywordtype">char</span> *) centralManagerStateToString:(<span class="keywordtype">int</span>)state;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;-(void) scanTimer:(NSTimer *)timer;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;-(void) printKnownPeripherals;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;-(void) printPeripheralInfo:(CBPeripheral*)peripheral;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;-(void) getAllServicesFromPeripheral:(CBPeripheral *)p;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;-(void) getAllCharacteristicsFromPeripheral:(CBPeripheral *)p;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;-(CBService *) findServiceFromUUID:(CBUUID *)UUID p:(CBPeripheral *)p;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;-(CBCharacteristic *) findCharacteristicFromUUID:(CBUUID *)UUID service:(CBService*)service;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="comment">//-(NSString *) NSUUIDToString:(NSUUID *) UUID;</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;-(NSString *) CBUUIDToString:(CBUUID *) UUID;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;-(int) compareCBUUID:(CBUUID *) UUID1 UUID2:(CBUUID *)UUID2;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;-(int) compareCBUUIDToInt:(CBUUID *) UUID1 UUID2:(UInt16)UUID2;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;-(UInt16) CBUUIDToInt:(CBUUID *) UUID;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;-(BOOL) UUIDSAreEqual:(NSUUID *)UUID1 UUID2:(NSUUID *)UUID2;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterfaceBLE_html"><div class="ttname"><a href="../../db/df9/interfaceBLE.html">BLE</a></div><div class="ttdef"><b>Definition:</b> BLE.h:34</div></div>
<div class="ttc" id="aprotocolBLEDelegate-p_html"><div class="ttname"><a href="../../de/d74/protocolBLEDelegate-p.html">BLEDelegate-p</a></div><div class="ttdef"><b>Definition:</b> BLE.h:23</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
